<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_6edacb78bd55c5015" . "af27c8ac1fcd9af" => base64_decode("bWV0aG9kX2V4aXN0c" . "w=="), "_4d707fa" . "b93bebb0" . "0bbe69e8" . "159697c9" . "0" => base64_decode(""), "_c06c961f393742ecfd" . "52b72263ac9470" => base64_decode("aW50" . "dmFs"), "_80453d7bea0ddc48afe3e3c89e" . "0b8aec" => base64_decode("Tm9uLWV4aXN0aW5nIHZhbGlkYXRpb24gbWV0" . "aG9kICc="), "_19d1237a619" . "f7b35ad6dbeb" . "f025f17c8" => base64_decode("c3" . "Ry" . "Y2" . "1w"), "_e608e5b5c4c34a" . "67ba97ef84c1e16" . "199" => base64_decode("Jw=" . "="), "_7eacce07e2449116f62c9464710" . "c37f7" => base64_decode("cm" . "Vz" . "ZX" . "Q="), "_aed8da0f" . "19091214b" . "78f803510" . "48517c" => base64_decode("c3Ryb" . "GVu"));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_7eacce07e2449116f62" . "c9464710c37f7"]) != $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4d707fab93bebb00b" . "be69e8159697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_6edacb78bd55c5015af27c8ac1" . "fcd9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_80453d7bea0d" . "dc48afe3e3c89" . "e0b8aec"] . $validate_method . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e608e5b5c4c34a67ba97ef84c1e1619" . "9"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_aed8da0f1909121" . "4b78f80351048517" . "c"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_19d1237a619f7" . "b35ad6dbebf025" . "f17c8"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c06c961f" . "393742ecf" . "d52b72263" . "ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_aed8da0f19091214b78f80351048517" . "c"]($value);
    }
}